/**
*************************************************************************************************************
*
*   \file compile.h
*
*   Global compiler switches
*   \n
*   \b Shortcut:    COMPILE
*
*   \author         Ralf Hochhausen
*   \date           15.06.2006
*   \version        1.0
*
*   (c) 2006 by Ralf Hochhausen (e-mail: micro@ralf-hochhausen.de)
*
*   This program is free software; you can redistribute it and/or
*   modify it under the terms of the GNU General Public License
*   as published by the Free Software Foundation; either version 2
*   of the License, or (at your option) any later version.
*   
*   This program is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*   
*   You should have received a copy of the GNU General Public License
*   along with this program; if not, write to the Free Software
*   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*
*   \b History:
*
*   15.06.2006      Ralf Hochhausen\n
*                   Revision 1.0\n
*                   Initial Revision
*
*************************************************************************************************************
*/

#ifndef __COMPILE_H
#define __COMPILE_H

/*
*************************************************************************************************************
*   GLOBAL DEFINITIIONS
*************************************************************************************************************
*/
#define OPTION_ACTIVE		1					/**< Needed for activation of compiler switches */
#define OPTION_PASSIVE		0					/**< Needed for deactivation of compiler switches */

/* ***** DEBUG options of the NMEA data link layer ***** */
#define NDLL_STATISTICS		OPTION_ACTIVE		/**< Activates statistic in NMEA dll */
#define NDLL_DEBUG_COM		OPTION_ACTIVE		/**< Activates com debug mode of NMEA dll module */
#define NDLL_DBG_NMEA_FRAME	OPTION_ACTIVE		/**< Activates return of a debug NMEA frame */

#endif  /* __COMPILE_H */
