/**
*************************************************************************************************************
*
*   \file global.h
*
*   Global makros and definitions
*
*   \n
*   \n
*   \b Shortcut:    GLO
*
*   \author         Ralf Hochhausen
*   \date           11.06.2006
*   \version        1.0
*
*   (c) 2006 by Ralf Hochhausen (e-mail: micro@ralf-hochhausen.de)
*
*   This program is free software; you can redistribute it and/or
*   modify it under the terms of the GNU General Public License
*   as published by the Free Software Foundation; either version 2
*   of the License, or (at your option) any later version.
*   
*   This program is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*   
*   You should have received a copy of the GNU General Public License
*   along with this program; if not, write to the Free Software
*   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*
*   \b History:
*
*   11.06.2006      Ralf Hochhausen\n
*                   Revision 1.0\n
*                   Initial Revision
*
*************************************************************************************************************
*/

#ifndef __GLO_H
#define __GLO_H
/*
*************************************************************************************************************
*   INCLUDES 
*************************************************************************************************************
*/

/*
*************************************************************************************************************
*   GLOBAL DEFINITIIONS
*************************************************************************************************************
*/

/*
*************************************************************************************************************
*   GLOBAL MACROS
*************************************************************************************************************
*/

#define vEnterCritical()	asm volatile ( "in		__tmp_reg__, __SREG__" :: );	\
							asm volatile ( "cli" :: );								\
							asm volatile ( "push	__tmp_reg__" :: )

#define vExitCritical()		asm volatile ( "pop		__tmp_reg__" :: );				\
							asm volatile ( "out		__SREG__, __tmp_reg__" :: )

#define di()				asm volatile ( "cli" :: );
#define ei()				asm volatile ( "sei" :: );

/*
*************************************************************************************************************
*   GLOBAL TYPES
*************************************************************************************************************
*/

/*
*************************************************************************************************************
*   GLOBAL CONSTANTS
*************************************************************************************************************
*/

/*
*************************************************************************************************************
*   LOCAL FUNCTION PROTOTYPES
*************************************************************************************************************
*/

/*
*************************************************************************************************************
*   GLOBAL FUNCTIONS
*************************************************************************************************************
*/

#endif  /* __GLO_H */
