/**
*************************************************************************************************************
*
*   \file nmeaparser.h
*
*   NMEA protocol parser
*
*   Module provides functions that parse the NMEA protocol.\n
*   \n
*   \b Shortcut:    NPAR
*
*   \author         Ralf Hochhausen
*   \date           23.06.2006
*   \version        1.0
*
*   (c) 2006 by Ralf Hochhausen (e-mail: micro@ralf-hochhausen.de)
*
*   This program is free software; you can redistribute it and/or
*   modify it under the terms of the GNU General Public License
*   as published by the Free Software Foundation; either version 2
*   of the License, or (at your option) any later version.
*   
*   This program is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*   
*   You should have received a copy of the GNU General Public License
*   along with this program; if not, write to the Free Software
*   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*
*   \b History:
*
*   23.06.2006      Ralf Hochhausen\n
*                   Revision 1.0\n
*                   Initial Revision
*
*************************************************************************************************************
*/

#ifndef __NPAR_H
#define __NPAR_H
/*
*************************************************************************************************************
*   INCLUDES 
*************************************************************************************************************
*/

/*
*************************************************************************************************************
*   GLOBAL DEFINITIIONS
*************************************************************************************************************
*/

/*
*************************************************************************************************************
*   GLOBAL MACROS
*************************************************************************************************************
*/

/*
*************************************************************************************************************
*   GLOBAL TYPES
*************************************************************************************************************
*/

/*
*************************************************************************************************************
*   GLOBAL CONSTANTS
*************************************************************************************************************
*/

/*
*************************************************************************************************************
*   LOCAL FUNCTION PROTOTYPES
*************************************************************************************************************
*/

/*
*************************************************************************************************************
*   GLOBAL FUNCTIONS
*************************************************************************************************************
*/

/**
*************************************************************************************************************
*	\brief	Task Handler of the NMEA frame parser module
*
*	Function checks if any NMEA frame has been received from the GPS receiver.
*	If yes, the received frame is parsed if it is supported by the parser module.
*	
*	\return	
*		void
*
*************************************************************************************************************
*/
void NPAR_vHandleTask(void);

#endif  /* __NPAR_H */
