/**
*************************************************************************************************************
*
*   \file utility.c
*
*   Generic utilities
*
*   \n
*   \n
*   \b Shortcut:    UTI
*
*   \author         Ralf Hochhausen
*   \date           17.06.2006
*   \version        1.0
*
*   (c) 2006 by Ralf Hochhausen (e-mail: micro@ralf-hochhausen.de)
*
*   This program is free software; you can redistribute it and/or
*   modify it under the terms of the GNU General Public License
*   as published by the Free Software Foundation; either version 2
*   of the License, or (at your option) any later version.
*   
*   This program is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*   
*   You should have received a copy of the GNU General Public License
*   along with this program; if not, write to the Free Software
*   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*
*   \b History:
*
*   17.06.2006      Ralf Hochhausen\n
*                   Revision 1.0\n
*                   Initial Revision
*
*************************************************************************************************************
*/

/*
*************************************************************************************************************
*   INCLUDES 
*************************************************************************************************************
*/
#include <avr\pgmspace.h>		/* Include program memory access */
#include "types.h"				/* Include basic types */
#include "utility.h"			/* Include own header */
/*
*************************************************************************************************************
*   LOCAL DEFINITIIONS
*************************************************************************************************************
*/

/*
*************************************************************************************************************
*   LOCAL MACROS
*************************************************************************************************************
*/

/*
*************************************************************************************************************
*   LOCAL TYPES
*************************************************************************************************************
*/

/*
*************************************************************************************************************
*   LOCAL CONSTANTS
*************************************************************************************************************
*/

const uchar8 UTI_HexNo2ASCII[] PROGMEM =
{
	'0',
	'1',
	'2',
	'3',
	'4',
	'5',
	'6',
	'7',
	'8',
	'9',
	'A',
	'B',
	'C',
	'D',
	'E',
	'F'
};

/*
*************************************************************************************************************
*   STATIC VARIABLES
*************************************************************************************************************
*/

/*
*************************************************************************************************************
*   LOCAL FUNCTION PROTOTYPES
*************************************************************************************************************
*/

/*
*************************************************************************************************************
*   LOCAL FUNCTIONS
*************************************************************************************************************
*/

/*
*************************************************************************************************************
*   GLOBAL FUNCTIONS
*************************************************************************************************************
*/

/*
*************************************************************************************************************
*   uchar8 UTI_ucConvHexNumberToAscii(uchar8 ucByte_)
*************************************************************************************************************
*/
uchar8 UTI_ucConvHexNumberToAscii(uchar8 ucByte_)
{
	return (pgm_read_byte(UTI_HexNo2ASCII + ucByte_));	
}
